FLAC::Encoder::Stream::State Class Reference

`#include <encoder.h>`

## Public Member Functions

| State (::FLAC__StreamEncoderState state)
| operator::FLAC__StreamEncoderState () const
const char * | as_cstring () const
const char * | resolved_as_cstring (const Stream &encoder) const

## Protected Attributes

::FLAC__StreamEncoderState | state_

## Detailed Description

This class is a wrapper around FLAC__StreamEncoderState.

The documentation for this class was generated from the following file:

- include/FLAC++/encoder.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation